# Uses of Interface
org.opensaml.xmlsec.agreement.KeyAgreementProcessor

Packages that use KeyAgreementProcessor
Package
Description
org.opensaml.xmlsec.agreement
API components related to key agreement operations.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.

## Uses of KeyAgreementProcessor in org.opensaml.xmlsec.agreement

Fields in org.opensaml.xmlsec.agreement with type parameters of type KeyAgreementProcessor
Modifier and Type
Field
Description
`private Map<String,KeyAgreementProcessor>`
KeyAgreementProcessorRegistry.`processors`
The registered processors.
Methods in org.opensaml.xmlsec.agreement that return KeyAgreementProcessor
Modifier and Type
Method
Description
`KeyAgreementProcessor`
KeyAgreementProcessorRegistry.`getProcessor(String algorithm)`
Get the processor registered for the specified algorithm.
`static KeyAgreementProcessor`
KeyAgreementSupport.`getProcessor(String algorithm)`
Lookup and return the `KeyAgreementProcessor` to use for the specified key agreement algorithm.
Methods in org.opensaml.xmlsec.agreement with parameters of type KeyAgreementProcessor
Modifier and Type
Method
Description
`void`
KeyAgreementProcessorRegistry.`register(KeyAgreementProcessor processor)`
Register a processor.

## Uses of KeyAgreementProcessor in org.opensaml.xmlsec.agreement.impl

Classes in org.opensaml.xmlsec.agreement.impl that implement KeyAgreementProcessor
Modifier and Type
Class
Description
`class`
`AbstractDerivationKeyAgreementProcessor`
Abstract base class for `KeyAgreementProcessor` implementations which do key derivation by means of a required `KeyDerivation` parameter.
`class`
`AbstractKeyAgreementProcessor`
Abstract base class for `KeyAgreementProcessor` implementations.
`class`
`DHWithExplicitKDFKeyAgreementProcessor`
Implementation of `KeyAgreementProcessor` which performs Diffie-Hellman Ephemeral-Static Mode key agreement with Explicit Key Derivation Function as defined in XML Encryption 1.1.
`class`
`DHWithLegacyKDFKeyAgreementProcessor`
Implementation of `KeyAgreementProcessor` which performs Diffie-Hellman Ephemeral-Static Mode key agreement with Legacy Key Derivation Function as defined in XML Encryption 1.1.
`class`
`ECDHKeyAgreementProcessor`
Implementation of `KeyAgreementProcessor` which performs Elliptic Curve Diffie-Hellman (ECDH) Ephemeral-Static Mode key agreement as defined in XML Encryption 1.1.